Page MenuHomePhabricator

Actions not showing in chronological order in "grouped" task actions
Closed, ResolvedPublic

Description

The actions grouped on T78441#1005181 could suggest that the task was first reopened and after that closed. But they happened in reverse order (and the task is now open).

Actions grouped under one timestamp should maintain the chronology, especially if they around the same field.

Event Timeline

Se4598 created this task.Jan 31 2015, 12:03 AM
Se4598 raised the priority of this task from to Needs Triage.
Se4598 updated the task description. (Show Details)
Se4598 added a project: Phabricator (Upstream).
Se4598 added a subscriber: Se4598.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 31 2015, 12:03 AM
Qgil triaged this task as Lowest priority.Feb 2 2015, 1:21 PM
Qgil set Security to None.
Qgil moved this task from Backlog to Ready To Go on the Phabricator (Upstream) board.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:03 PM

In the general case, this is expected behavior. Consider these actions:

  • Change title.
  • Add a comment.
  • Close task.

We reorder these actions to put the comment on the bottom so the block of actions has a more consistent visual shape (actions first, then comments), which seems desirable.

Within a group, I expect transactions of the same type to be ordered chronologically.

If there are specific cases where ordering produces weird/misleading results, they're likely easy to fix. With a current version of Phabricator, I can't immediately reproduce any undesirable ordering of task status change transactions: they are shown chronologically within the transaction group for me locally. If you can reproduce this with modern Phabricator, specific reproduction steps would be helpful ("In transaction 1, take actions X and Y; in transaction 2, take action Z; Z orders above Y but this is not a faithful representation of the action sequence.").

Aklapper closed this task as Resolved.Mar 29 2019, 2:29 PM

The actions grouped on T78441#1005181 could suggest that the task was first reopened and after that closed.

https://phabricator.wikimedia.org/T78441#1005180 nowadays shows first

• Jaredzimmerman-WMF closed this task as Resolved.

and then

• Jaredzimmerman-WMF reopened this task as Open.

so this issue cannot be reproduced anymore.

If this is still an issue somewhere else, please reopen and provide exact steps (as requested in the previous comment).